Skip to main content

Add a Microsoft Entra ID domain

POST 

/config/entraid-domains

Creates an Entra ID tenant configuration.

The stored document requires name, client_id, tenant_id, client_secret and the domain, user and pass of both scan_config.read_acct and scan_config.write_acct. The client secret is stored encrypted. Returns HTTP 200 with a plain-text confirmation. Accepts JSON or application/x-www-form-urlencoded bodies. Required role: admin or superadmin.

Request​

Responses​

Created.